local fontsLoaded = false
local fontId
local coordonate = {-529.73291015625,-229.95077514648,36.702041625977}
local InArea = false

-- Înregistrare font
Citizen.CreateThread(function()
    Citizen.Wait(1000)
    RegisterFontFile('wmk')
    fontId = RegisterFontId('Freedom Font')
    fontsLoaded = true
end)

-- Desenare text pe ecran
local function drawText(text, x, y, scale, r, g, b)
    SetTextFont(fontId)
    SetTextCentre(10)
    SetTextProportional(0)
    SetTextScale(scale, scale)
    SetTextDropShadow(1, 5, 5, 5, 255)
    SetTextEntry("STRING")
    SetTextColour(r, g, b, 255)
    AddTextComponentString(text)
    DrawText(x, y)
end

-- Blip pe hartă
Citizen.CreateThread(function()
    local blip = AddBlipForCoord(coordonate[1], coordonate[2], coordonate[3])
    SetBlipSprite(blip, 500) -- cadou
    SetBlipDisplay(blip, 4)
    SetBlipScale(blip, 0.9)
    SetBlipColour(blip, 27) -- mov
    SetBlipAsShortRange(blip, true)
    BeginTextCommandSetBlipName("STRING")
    AddTextComponentString("Giftbox Sunday")
    EndTextCommandSetBlipName(blip)
end)

-- Comandă pentru setarea waypoint-ului
RegisterCommand("getgift", function()
    SetNewWaypoint(coordonate[1], coordonate[2])
    TriggerEvent("chat:addMessage", {
        color = {255, 105, 180},
        multiline = true,
        args = {"Sunday", "Waypont-ul către giftbox a fost setat!"}
    })
end, false)

-- Detectare în zonă + marker + E pentru activare
Citizen.CreateThread(function()
    local ticks = 1000
    while true do
        Wait(ticks)
        local coords = GetEntityCoords(PlayerPedId())
        local dist = #(vector3(coords.x, coords.y, coords.z) - vector3(coordonate[1], coordonate[2], coordonate[3]))

        if dist <= 3 then
            ticks = 1
            InArea = true
            drawText("Global~b~Force~w~ Romania\n~w~Apasa ~b~E ~w~pentru a deschide un ~b~giftbox", 0.500, 0.850, 0.4, 255, 255, 255)
            if IsControlJustPressed(0, 38) then
                vRPserver.openGiftbox({})
            end
        else
            ticks = 1000
            InArea = false
        end

        if dist <= 30 then
            ticks = 1
            DrawMarker(32, coordonate[1], coordonate[2], coordonate[3], 0, 0, 0, 0, 0, 0, 0.700, 0.700, 0.700, 255, 0, 0, 200, 0, 0, 0, 1, 0, 0, 0)
        end
    end
end)